<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_AdminNodesController extends Core_Controller_Action_Admin
{
  public function indexAction()
  {
    $table = Engine_Api::_()->getDbtable('nodes', 'core');
    $select = $table->select()
      ->where('last_seen > ?', new Zend_Db_Expr('DATE_SUB(NOW(), INTERVAL 1 WEEK)'));
    $this->view->paginator = $paginator = Zend_Paginator::factory($select);
  }
}
